Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class FuncDoc

    java.lang.Object
      |
      +--org.apache.xalan.xpath.Function
            |
            +--org.apache.xalan.xpath.FuncDoc

public class FuncDoc
extends Function

**For advanced use only** Execute the Doc() function.

Constructor Summary
`FuncDoc()` **For advanced use only**

Method Summary
`XObject` | `execute(XPath path, XPathSupport execContext, org.w3c.dom.Node context, int opPos, java.util.Vector args)` **For advanced use only** Execute the function.

Methods inherited from class org.apache.xalan.xpath.Function
`execute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncDoc

    public FuncDoc()

Method Detail

### execute

    public XObject execute(XPath path,
                           XPathSupport execContext,
                           org.w3c.dom.Node context,
                           int opPos,
                           java.util.Vector args)
                    throws org.xml.sax.SAXException

  **For advanced use only** Execute the function. The function must return a valid object.
  Parameters:
    `path` - The executing xpath.
    `context` - The current context.
    `opPos` - The current op position.
    `args` - A list of XObject arguments.
  Returns:
    A valid XObject.
  Overrides:
    execute in class Function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.